Skip to main content
`Ctrl`+`K`

# TSRK4

Fourth order RK scheme. This is the classical Runge-Kutta method with four stages.

## Options Database Key

- -ts_rk_type 4 - use type 4

## See Also

TS: Scalable ODE and DAE Solvers, `TSRK`, `TSRKType`, `TSRKSetType()`

## Level

advanced

## Location

src/ts/impls/explicit/rk/rk.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages